<?php

# Navigation for the i-scream reports.
# pjm2@ukc.ac.uk
#
# CONFIGURABLE CONSTANTS: -

include("browser_config.inc.php");

#
# END CONFIGURATION





# Used to return whether or not a report data file is empty.
function isReportEmpty($filename, $minFileSize) {
    if (filesize($filename) < $minFileSize) {
        return TRUE;
    }
    return FALSE;
}


include("iutils.inc.php");

?>

<? include($titleHTML); ?>

<hr weight="1" color="<? echo $lineColor ?>">

<b>Most recent reports available</b>
<form method="<? echo $formMethod ?>" action="<? echo $thisPage ?>">
<?

    $file_array = getdirArray($reportDirectory,'rsort');
    print "<select size=\"1\" name=\"day\">";
    if ($day) { ?>
        <option selected value="<? echo $day ?>"><? echo $day ?></option>
        <option value="">----------------</option>
    <? }
    foreach($file_array as $file_name) {
        #if (is_dir($file_name)) {
        if (preg_match("/^[0-9]{4}\-[0-9]{2}\-[0-9]{2}$/", $file_name)) {
            $i++;
            print "<option value=\"$file_name\">$file_name</option>";
        }
        if ($i >= $maxDaysShown) {
            break;
        }
    }
    print "</select>";

?>
 <input type="submit" name="submit" value="Go">
</form>

<hr weight="1" color="<? echo $lineColor ?>">

<? if ($day) { ?>

    <b>Available reports for <? echo $day ?></b>

    <form method="<? echo $formMethod ?>" action="<? echo $thisPage ?>">
     <select size="1" name="machine_name">
      <? if ($machine_name) { ?>
        <option selected value="<? echo $machine_name ?>"><? echo $machine_name ?></option>
        <option value="">----------------</option>
      <? } else { ?>
        <option selected value="">[select machine]</option>
      <? } ?>
      <? include("$reportDirectory/$day/$machineNameHTML"); ?>
     </select>

     <select size="1" name="report">
      <? if ($report) { ?>
        <option selected value="<? echo $report ?>"><? echo $report ?></option>
        <option value="">----------------</option>
      <? } else { ?>
        <option selected value="">[select report]</option>
      <? } ?>
      <? include("$reportDirectory/$day/$reportHTML"); ?>
     </select>

     <input type="hidden" name="day" value="<? echo $day ?>">
     <input type="submit" name="submit" value="Show">
    </form>
    
    <hr weight="1" color="<? echo $lineColor ?>">
    
<? } ?>

    </p>


<?
    if ($submit == "Show" && $machine_name && $report) {
        
        $url = "$webRoot/$day/$machine_name/$report/$reportChartFile";
        if (isReportEmpty("$reportDirectory/$day/$machine_name/$report/$reportChartDataFile", $minFileSize)) {
            echo "Host <b>$machine_name</b> did not send any information about <b>$report</b> on <b>$day</b>.  Please select another report.";
        }
        else if (file_exists("$reportDirectory/$day/$machine_name/$report/$reportChartFile")) {  

            include("$reportDirectory/$day/$machine_name/$report/$reportLimitsFile");
            
            ?>
            
            <center><b>[<? echo $machine_name; ?>] - <? echo $report; ?></b></center>
          
            <table border="0" cellpadding="0" cellspacing="0">
             <tr>
              <td align="right" valign="top">
               <font size="2"><? printf("%.1f", $max_value);  ?></font>
              </td>
              <td rowspan="2">
               <img src="<? echo $url; ?>" width="500" height="250">
              </td>
             </tr>
             <tr>
              <td align="right" valign="bottom">
               <font size="2"><? echo $min_value; ?></font>
              </td>
             </tr>
             <tr>
              <td>&nbsp;</td>
              <td><img src="<? echo $scaleImage ?>" width="500" height="39"></td>
             </tr>
            </table>
            
            <hr weight="1" color="<? echo $lineColor ?>">
            
            <b>Latest data</b>
            <p>
            Latest set of data received from 
            <a href="<? echo "latest.php?machine=$machine_name"; ?>"><?=$machine_name?></a>
            <br>
            Alerts for <a href="alerts.php?machine=<?=$machine_name?>"><?=$machine_name?></a>


            <hr weight="1" color="<? echo $lineColor ?>">
            
            <b>Extra data</b>
            <p>
            <a href="<? echo "$webRoot/$day/$machine_name/$report/$reportChartDataFile" ?>">Raw plot data</a><br>
            <a href="<? echo "$webRoot/$day/$machine_name/$report/$reportChartFile" ?>">GIF chart</a><br>
            <a href="<? echo "$webRoot/$day/$machine_name/$report/$reportLimitsFile" ?>">PHP y-axis limits include</a>
            
        <? }
        else {
            echo "<p>The report could not be found.  Somebody must have deleted it!</p>";
        }
        echo "<hr weight=\"1\" color=\"$lineColor\">";
    }
    
?>

<? include($bottomHTML); ?>
